<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_fornavn_include.php
| Author: Eddy
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_fornavn = isset($user_data['user_fornavn']) ? stripinput($user_data['user_fornavn']) : "";
	if ($this->isError()) { $user_fornavn = isset($_POST['user_fornavn']) ? stripinput($_POST['user_fornavn']) : $user_navn; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_fornavn")."'><label for='user_fornavn'>".$locale['uf_fornavn'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_fornavn")."'>";
	echo "<input type='text' id='user_navn' name='user_fornavn' value='".$user_fornavn."' maxlength='100' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_fornavn", $locale['uf_fornavn_error']); }
	
// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_fornavn']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_fornavn']."</td>\n";
		echo "<td align='right' class='tbl1'>".$user_data['user_fornavn']."</td>\n";
		echo "</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_fornavn']) && ($_POST['user_fornavn'] != "" || $this->_isNotRequired("user_fornavn"))) {
		// Set update or insert user data
		$this->_setDBValue("user_fornavn", stripinput(trim($_POST['user_fornavn'])));
	} else {
		$this->_setError("user_fornavn", $locale['uf_fornavn_error'], true);	
	}
}
?>